Bug 158884 - Missing g_free in nautilus-window-menus.c
Missing g_free in nautilus-window-menus.c
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-26 11:48 EDT by Brian Pepple
Modified: 2013-03-05 22:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 00:50:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch adding the missing g_free (). (1011 bytes, patch)
2005-05-26 11:50 EDT, Brian Pepple
no flags Details | Diff

  None (edit)
Description Brian Pepple 2005-05-26 11:48:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
action_about_nautilus_callback () is missing a g_free () after using g_strconcat
() for a variable.  Also, logo_path isn't freed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open about window in Nautilus.
2.
3.
  

Additional info:
Comment 1 Brian Pepple 2005-05-26 11:50:16 EDT
Created attachment 114873 [details]
Patch adding the missing g_free ().

This patch has already been submitted upstream.

http://bugzilla.gnome.org/show_bug.cgi?id=305551

Note You need to log in before you can comment on or make changes to this bug.